Sail the 'Verse


The Multiverse supports (although it does not require) VR, and so it requires either OptiFine or Vivecraft for 1.17

We have recently updated the server, and are slowly rediscovering new planets. Please have patience.



Please check out the map, and join us on Discord!

Eight planets, and still exploring


Naked Discord invite: https://discord.gg/Z6nWkReCk7